<div class="row">
  <div class="col-md-12">

    <nb-card class="inline-form-card">
      <nb-card-header>Eventos de Alarmes</nb-card-header>
      <nb-card-body>
        <form class="form-inline" [formGroup]="addEventForm" (ngSubmit)="onSubmit()">

          <nb-select fullWidth placeholder="Equipamento" (selectedChange)="loadAlarmsByEquipmentId($event)" formControlName="equipment">
            <nb-option [value]="equipment" *ngFor="let equipment of equipments">
              {{ equipment.name }}
            </nb-option>
          </nb-select>

          <nb-select fullWidth placeholder="Alarme" formControlName="_alarmId">
            <nb-option [value]="alarm._id" *ngFor="let alarm of alarmsList">
              {{ alarm.description }}
            </nb-option>
          </nb-select>

          <button type="submit" nbButton status="primary" [disabled]="!addEventForm.valid">Salvar</button>
        </form>
      </nb-card-body>
    </nb-card>

    <nb-card class="inline-form-card">
        <nb-card-header>Eventos</nb-card-header>
        <form class="form-inline">
          <nb-card-body>
            <table class="table">
              <thead>
                <th class="text-center align-middle">ID</th>
                <th class="text-center align-middle">Alarme</th>
                <th class="text-center align-middle">Equipamento</th>
                <th class="text-center align-middle">Classificação</th>
                <th class="text-center align-middle">#</th>
              </thead>
              <tbody>
                  <tr *ngFor="let event of events">
                    <td class="text-center align-middle">{{ event._id }}</td>
                    <td class="text-center align-middle">{{ event.alarm.description }}</td>
                    <td class="text-center align-middle">{{ event.alarm.equipment.name }}</td>
                    <td class="text-center align-middle">{{ event.alarm.classification }}</td>
                    <td class="text-center align-middle">
                      <button type="button" nbButton status="primary" (click)="toggleStatus(event)">Desativar</button>
                    </td>
                  </tr>
              </tbody>
            </table>
          </nb-card-body>
      </form>
    </nb-card>
  </div>
</div>